Subject: Re: bug#49007: 28.0.50; "docstring wider than 80" misfire

From: Stefan Monnier <[email-masked]>
Date: Mon, 14 Jun 2021 10:47:51 -0400

> Hm...  the warning comes from the arglist being too long, which it indeed is:
[...]
> (fn (THIS rudel-protocol-backend) TRANSPORT INFO INFO-CALLBACK &optional PROGRESS-CALLBACK)"

Ah, I see.

> So perhaps the correct fix here is to have the docstring width checker
> ignore those parts?

Indeed: the (fn ...) on the last line of a docstring is not really part
of the text, it's just a chunk of data that happens to be stored using
its printed representation (I'm in part to blame for that design choice,
and I don't really like it either, but here we are).

        Stefan